Cannot access to Georeferencer dialog if this was used on an external monitor
Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 7 Enterprise Service Pack 1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27340

Description

So, yesterday my Georeferencer stopped working. It doesn't crash the program or stop it from functioning. However, when I choose it from

the dropdown menu it just does nothing. No window appears, it does nothing.

Upon start-up I opened the Log Messages window and found the following:

2018-07-30T09:44:34     INFO    Loaded Georeferencer GDAL (Path: C:/PROGRA~1/QGIS3~1.2/apps/qgis/plugins/georefplugin.dll)

2018-07-30T09:44:34     WARNING    Failed to load C:/PROGRA~1/QGIS3~1.2/apps/qgis/plugins/grassplugin7.dll (Reason: Cannot load

library C:\PROGRA~1\QGIS3~1.2\apps\qgis\plugins\grassplugin7.dll: The specified module could not be found.)

2018-07-30T09:44:34     WARNING    Failed to load C:/PROGRA~1/QGIS3~1.2/apps/qgis/plugins/grassprovider7.dll (Reason: Cannot

load library C:\PROGRA~1\QGIS3~1.2\apps\qgis\plugins\grassprovider7.dll: The specified module could not be found.)

2018-07-30T09:44:34     WARNING    Failed to load C:/PROGRA~1/QGIS3~1.2/apps/qgis/plugins/grassrasterprovider7.dll (Reason:

Cannot load library C:\PROGRA~1\QGIS3~1.2\apps\qgis\plugins\grassrasterprovider7.dll: The specified module could not be found.)

I searched the location and all of the files are actually there. (See attached image.)

I uninstalled QGIS and reinstalled. It didn't fix it.

I then uninstalled QGIS and deleted all other files that I could find concerning QGIS (including the User .qgis folder), and reinstalled a

newly downloaded latest version (QGIS Standalone Installer Version 3.2 (64 bit)). It didn't fix it.

I uninstalled 3.2.1 and installed 3.2.0 and that didn't fix it. Despite it working previously on this computer.

I then downloaded the latest version of 2.18 and installed that. It worked, but the following Log Message was under Plugins:

2018-07-30T10:23:23    0    Loaded Georeferencer GDAL (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/georefplugin.dll)

2018-07-30T10:23:23    0    Loaded GPS Tools (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/gpsimporterplugin.dll)

2018-07-30T10:23:23    1    Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/grassplugin7.dll (Reason: Cannot load library

C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/grassplugin7.dll: The specified module could not be found.)

2018-07-30T10:23:23    1    Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/grassprovider7.dll (Reason: Cannot load

library C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/grassprovider7.dll: The specified module could not be found.)

2018-07-30T10:23:23    1    Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/grassrasterprovider7.dll (Reason: Cannot

load library C:/PROGRA~1/QGIS2~1.18/apps/qgis-ltr/plugins/grassrasterprovider7.dll: The specified module could not be found.)

Other GDAL processes are working, as I extracted contour lines from a DEM file.

I am at a loss as to what is going on here.
#1 - 2018-08-01 04:23 AM - Michael Knopp

7/31/18 UPDATE:

Just tried updating a georeferenced map in 2.18 and it is no longer working. I decided to use my computer at home (a Mac) to try and update the

georeference. While downloading it I was informed that I had to use the python.org install of 3.6 (on a side note apparently 3.7 will not work with this).

On my work computer that I originally posted the issue, I am running the Anaconda installation of Python. I did not know if this was relevant or not.

#2 - 2018-08-01 05:50 AM - Michael Knopp

While doing some more looking I ran across someone having this issue in 2.18.3, where if they used the georeferencer window on an attached monitor and

then started it up without the monitor attached the window opened off screen. I am wondering if this bug carried over to 3.2 because, the last time that it

worked I had a second screen hooked up to my laptop. Then I tried opening it without the screen attached and it would not show up.

Unfortunately, their solution to mess with the registry didn't work because it appears that you changed how the program stores to window's position

between 2.18 and 3.2.

#3 - 2018-08-01 09:51 AM - Giovanni Manghi

- Regression? changed from Yes to No

- Priority changed from High to Normal

- Status changed from Open to Feedback

So... are you positive that the georeferncer dialog is not visible because of a dual screen configuration?

Regardless... you can always wipe your QGIS Windows registry entries. The .qgis3 folder is not where the .qgis2 is/was, is instead in your "AppData"

folder... wiping it also could help.

#4 - 2018-08-01 03:24 PM - Michael Knopp

Okay. So, I uninstalled all versions of QGIS 2.18 and 3.2. I searched through the Registry and deleted all instances of QGIS that were found. I tracked

down the AppData folder and deleted all instances of QGIS found there. Then I reinstalled 3.2.

The georeferencing window is back. Note that reattaching the external monitor did not solve the issue as it didn't show up on it either.

This all being said, this is a pretty big bug that I had never experienced before, and I have been using QGIS for three years now with the same laptop

external monitor and have never experienced this issue before.

After I finish the job that I am working on I will see if I can replicate this.

I have to say, this seems to be a pretty big bug. When it literally isn't even enough to uninstall and reinstall, but to have to do a complete wipe of QGIS from

the Registry and AppData folder.

#5 - 2018-08-01 05:35 PM - Giovanni Manghi

- Subject changed from Georeferencer GDAL not working to Cannot access to Georeferencer dialog if this was used on an external monitor

- Status changed from Feedback to Open

#6 - 2019-05-15 04:20 PM - Nico Tripcevich
I ran into this as well in 3.6x 

This does seem like a bug though you might try this workaround.

https://www.techspot.com/guides/226-bring-lost-window-back-desktop/
